## org.hornetq.api.core.client.loadbalance
Class RoundRobinConnectionLoadBalancingPolicy

    java.lang.Object
      org.hornetq.api.core.client.loadbalance.RoundRobinConnectionLoadBalancingPolicy

All Implemented Interfaces:
  ConnectionLoadBalancingPolicy

    public class RoundRobinConnectionLoadBalancingPolicy

extends Object
implements ConnectionLoadBalancingPolicy

RoundRobinConnectionLoadBalancingPolicy corresponds to a round-robin load-balancing policy.
The first call to `select(int)` will return a random integer between `0` (inclusive) and `max` (exclusive). Subsequent calls will then return an integer in a round-robin fashion.

Author:
  Tim Fox Created 28 Nov 2008 10:21:08

Constructor Summary
`RoundRobinConnectionLoadBalancingPolicy()`

Method Summary
`int` `select(int max)` Returns the selected index according to the policy implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundRobinConnectionLoadBalancingPolicy

    public RoundRobinConnectionLoadBalancingPolicy()

Method Detail

### select

    public int select(int max)

  Description copied from interface: `ConnectionLoadBalancingPolicy`
  Returns the selected index according to the policy implementation.

  Specified by:
    `select` in interface `ConnectionLoadBalancingPolicy`
  Parameters:
    `max` - maximum position index that can be selected

Copyright © 2009 Red Hat Inc. All Rights Reserved.